unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  ComCtrls, StdCtrls, ExtCtrls, EDialup;

type
  TFrmMain = class(TForm)
    StatusBar1: TStatusBar;
    Panel2: TPanel;
    Label7: TLabel;
    ListBox1: TListBox;
    Label8: TLabel;
    EditName: TEdit;
    Label9: TLabel;
    EditPaswd: TEdit;
    BtnConnect: TButton;
    BtnDisconnect: TButton;
    Dialup1: TEvDialup;
    procedure FormCreate(Sender: TObject);
    procedure BtnConnectClick(Sender: TObject);
    procedure Dialup1ChangeStatus(Sender: TObject; EntryName: String;
      Status: TEvDialStatus);
    procedure Dialup1Error(Sender: TObject; EntryName: String;
      Error: TEvDialError);
    procedure BtnDisconnectClick(Sender: TObject);
  private

  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.DFM}

procedure TFrmMain.FormCreate(Sender: TObject);
begin
  ListBox1.Items := Dialup1.EntryNames;
  if ListBox1.Items.Count > 0 then
    ListBox1.ItemIndex := 0;
end;

procedure TFrmMain.BtnConnectClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    Dialup1.Connect(ListBox1.Items[ListBox1.ItemIndex],
      EditName.Text, EditPaswd.Text);
end;

procedure TFrmMain.BtnDisconnectClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    Dialup1.HungUp(ListBox1.Items[ListBox1.ItemIndex]);
  StatusBar1.SimpleText := '';
end;

procedure TFrmMain.Dialup1ChangeStatus(Sender: TObject; EntryName: String;
  Status: TEvDialStatus);
begin
  case Status of
    dsOpening: StatusBar1.SimpleText := 'Abrindo porta...';
    dsDialing: StatusBar1.SimpleText := 'Discando...';
    dsVerifying: StatusBar1.SimpleText := 'Verificando usurio e senha...';
    dsVerified: StatusBar1.SimpleText := 'Usurio autorizado';
    dsConnected: StatusBar1.SimpleText := 'Conectado  ' + EntryName;
    dsDisconnected:
      begin
        StatusBar1.SimpleText := 'Desconectado';
        ShowMessage('A conexo com ' + EntryName + ' foi terminada.');
      end;
  end;
end;

procedure TFrmMain.Dialup1Error(Sender: TObject; EntryName: String;
  Error: TEvDialError);
var
  S: string;
begin
  case Error of
    deAlreadyConnected: S := 'J existe uma conexo com ' + EntryName + '.';
    deConnectFail: S := 'No foi possvel inicializar o discador.';
    deInvalidEntry: S := 'No foi encontrada a conexo ' + EntryName + '.';
    deAlreadyOpen: S := 'O modem est sendo usada por outro programa.';
    deRemoteDisconn: S := 'O seu computador foi desconectado pelo servidor.';
    deHardwareFail: S := 'O modem no est respondendo.';
    deLineBusy: S := 'A linha est ocupada.';
    deNoAnswer: S := 'O computador para o qual voc est discando no responde.';
    deNoDailTone: S := 'No foi detectado o tom de discagem na linha.';
    deVerifyFail: S := 'Falha durante a verificao dos dados de usurio.';
    deProtConfig: S := 'No foi possvel estabelecer um protocolo com o servidor.';
    deUnknown: S := 'Erro durante a conexo.';
  end;
  StatusBar1.SimpleText := '';
  ShowMessage(S);
end;


end.


